Bug 138765 - KDE device icons don't change when mounted
KDE device icons don't change when mounted
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 20:00 EST by Ian Pilcher
Modified: 2008-02-14 12:18 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 12:18:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2004-11-10 20:00:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
When a removable media device, such as a CD-ROM, is mounted via its
KDE icon, the icon does not change to reflect the fact that it is
mounted.  This happens with both the "automagically" created icons and
manually created device icons.

Version-Release number of selected component (if applicable):
kdebase-3.3.1-4.1

How reproducible:
Always

Steps to Reproduce:
1.  Start KDE session on system with CD-ROM drive.
2.  Insert CD-ROM into drive.
3.  Right click on CD-ROM device icon and select "Mount".
4.  The CD-ROM will be mounted, but the icon will not change.
    

Actual Results:  CD-ROM mounted, but icon did not change.

Expected Results:  Icon should have changed to reflect the fact that
the drive was mounted.

Additional info:
Comment 1 Ngo Than 2004-11-11 10:29:20 EST
the problem is that the cdrom_unmount and cdrom_mount icons in the
Bluecurve is the same. I have now added a new cdrom_mount icon in
redhat-artwork, which fixes this problem.
Comment 2 Ian Pilcher 2004-11-11 10:41:28 EST
Very weird!  Where do the icons in the KDE icon selection dialog come
from?
Comment 3 Ngo Than 2004-11-11 10:47:52 EST
it's Bluecurve icon theme.

if you want a quick fix, please copy
/usr/share/icons/crystalsvg/48x48/devices/cdrom_* into
/usr/share/icons/Bluecurve/48x48/devices/ and restart KDE. it will work

Comment 4 Ian Pilcher 2005-04-03 14:10:53 EDT
AFAICT, this bug still exists in Fedora Core 4 Test 1.

kdebase-3.4.0-2
redhat-artwork-0.122-1
Comment 5 Ian Pilcher 2005-07-08 12:16:21 EDT
This is still present in Fedora Core 4.
Comment 6 Christian Iseli 2007-01-22 06:31:45 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 petrosyan 2008-02-14 12:18:23 EST
Fedora Core 4 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.